# Source code for azure.mgmt.web.models.domain_control_center_sso_request

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class DomainControlCenterSsoRequest(Model):
        """Single sign on request information for domain management.

        :param url: Url where the single sign on request is to be made
        :type url: str
        :param post_parameter_key: Post parameter key
        :type post_parameter_key: str
        :param post_parameter_value: Post parameter value. Client should use
         'application/x-www-form-urlencoded' encoding for this value.
        :type post_parameter_value: str
        """

        _attribute_map = {
            'url': {'key': 'url', 'type': 'str'},
            'post_parameter_key': {'key': 'postParameterKey', 'type': 'str'},
            'post_parameter_value': {'key': 'postParameterValue', 'type': 'str'},
        }

        def __init__(self, url=None, post_parameter_key=None, post_parameter_value=None):
            self.url = url
            self.post_parameter_key = post_parameter_key
            self.post_parameter_value = post_parameter_value